﻿using System;
using System.Windows.Data;
using System.Globalization;
using System.Windows.Media;

namespace ValueConverterDemo.Converter
{
    public class ColorConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            double verValue = (double)values[0];
            double horValue = (double)values[1];
            if (verValue > horValue)
            {
                return new SolidColorBrush(Colors.Green);
            }
            else if (verValue < horValue)
            {
                return new SolidColorBrush(Colors.Red);
            }
            return new SolidColorBrush(Colors.Yellow);
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}
